Ontology

Create a relation

POST
/api/v1/ontology/relations

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Header Parameters

authorization?string|null
x-api-key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/ontology/relations" \  -H "Content-Type: application/json" \  -d '{    "relation_type_id": "string",    "target_concept_id": "string"  }'
{  "id": "string",  "relation_type_id": "string",  "source_document_id": 0,  "source_concept_id": "string",  "target_concept_id": "string",  "created_at": "2019-08-24T14:15:22Z"}